import greenfoot.*;

/**
 * Write a description of class Spot here.
 * 
 * @author Taylor Born
 * @version November 2011
 */
public class Spot  
{
    private int x, y;
    private int xi = (Greenfoot.getRandomNumber(3) + 1) * (Math.random() < .5 ? -1 : 1);
    private int yi = (Greenfoot.getRandomNumber(3) + 1) * (Math.random() < .5 ? -1 : 1);
    private int r = Greenfoot.getRandomNumber(40) + 10;
    
    public Spot(int sizeX, int sizeY)
    {
        x = r + Greenfoot.getRandomNumber(sizeX - r * 2);
        y = r + Greenfoot.getRandomNumber(sizeY - r * 2);
    }
    public void move(int xMax, int yMax)
    {
        x += xi;
        if (x + xi < r || x + xi > xMax - r)
            xi *= -1;
        y += yi;
        if (y + yi < r || y + yi > yMax - r)
            yi *= -1; 
    }
    public int getX()
    {
        return x;
    }
    public int getY()
    {
        return y;
    }
    public int getRadius()
    {
        return r;
    }
}
